Subject: bug#57986: 29.0.50; Citation prefix lost when message-newline-and-reformat

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 24 Sep 2022 11:39:36 +0200

Sean Whitton <[email-masked]> writes:

> Yeah, the docstring sounds like do-what-I-mean reformatting, not
> something more specific that cares about exactly where point is in the
> line.  (I'd still advocate for changing it -- is there any use for this
> command aside from splitting up quoted text like this?)

No, but point determines what to use as the quote prefix, and that makes
some difference if you have variations on

>> Foo bar
>>> Foo bar zot

etc -- it uses the bit before point to find the prefix.  And if you look
at the code, it's explicitly checking whether we're at bolp to disable
that logic.

I've played around a bit hitting `M-RET' at various places, and I think
that what it does probably makes sense, even if it's not totally
intuitive, so I've just clarified this in the doc string instead of
changing what it's doing.